@charset "UTF-8";

.page-mv {
	position: relative;
	aspect-ratio: 1920 / 770;
	width: 100%;
	height: auto;
	padding-top: clamp(160px, 13.5417vw, 260px);
	z-index: 2;

	&::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: -100vh;
		background-image: url("../img/common/mv_bg.png");
		background-size: 66%;
		background-position: left top;
		background-repeat: no-repeat;
	}
}

.mv__content {
	position: relative;
	z-index: 100;
	width: 100%;
	padding-inline: 95px;
	margin-inline: auto;
	color: var(--white);
}

@media only screen and (max-width: 1340px) {
	.mv__content {
		padding-inline: 40px;
	}
}

.c-heading {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 3rem;
}

.c-heading__ja {
	display: flex;
	align-items: center;
	gap: 0.52em;
	font-size: clamp(1.5rem, calc(0.5833rem + 1.9097vw), 2.875rem);
	line-height: 1;
	padding-left: 20px;

	&::before {
		content: "";
		width: 0.85em;
		height: 0.85em;
		background: var(--white);
		border-radius: 100%;
		translate: 0 4px;
	}
}

.c-heading__en {
	font-family: "Google Sans", sans-serif;
	font-size: clamp(6rem, calc(-0.75rem + 14.0625vw), 13.75rem);
	font-weight: bold;
	line-height: 1;
}

.page-tag {
	position: absolute;
	top: clamp(180px, 11.4583vw, 220px);
	right: 0.5em;
	font-family: "Google Sans", sans-serif;
	font-size: 2.1875rem;
	line-height: 1;
	font-weight: bold;
	display: inline-block;
	transform: rotate(90deg) translateY(-150px);
}

@media (min-width: 1730px) {
	.page-tag {
		right: calc((100vw - 1730px) / 2);
		transform: rotate(90deg) translateY(-155px);
	}
}

@media only screen and (max-width: 768px) {
	.page-mv {
		aspect-ratio: 768 / 445;
		padding-top: clamp(120px, 27.34375vw, 210px);

		&::before {
			background-image: url("../img/common/mv_bg-sp.png");
			background-size: 96%;
		}
	}

	.mv__content {
		padding-inline: min(5.208vw, 2.5rem);
	}

	.c-heading {
		gap: 0.5rem;
	}

	.c-heading__ja {
		font-size: clamp(0.9rem, 3.52vw, 1.6875rem);
		padding-left: 5px;
	}

	.c-heading__en {
		font-size: clamp(2.5rem, 13.17vw, 6.1875rem);
	}

	.page-tag {
		top: 30px;
		right: 90px;
		font-size: 0.9rem;
	}
}

.reveal-h2 {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 10px;
	margin-block: 1rem 3.5rem;
	font-size: clamp(1rem, 3.44vw, 2.875rem);

	line-height: 1;
}

.reveal-row {
	position: relative;
	display: inline-block;
	padding: 0.5rem 0.2rem;
	overflow: hidden;
}

.reveal-bg {
	position: absolute;
	inset: 0;
	display: block;
	width: 0%;
	transform-origin: left center;
	background-image: url('../img/top/grada_bg.png');
	background-size: cover;
	background-position: left 25%;
	z-index: 0;
}

.reveal-overlay {
	position: absolute;
	inset: 0;
	display: block;

	z-index: 1;
}

.reveal-text {
	position: relative;
	display: block;
	z-index: 2;
	color: transparent;
	transition: color 0.3s ease 0.2s;
	white-space: nowrap; /* 折り返し防止 */
	position: relative;
	display: block;
	z-index: 2;
	color: var(--white);
	*/
    transition: color 0.3s ease 0.2s;
	white-space: nowrap;
	font-weight: 400;
}

.philosophy-section {

	position: relative;
	z-index: +10;
}

@media only screen and (max-width: 768px) {
	.reveal-h2 {
		gap: 4px;
		margin-block: 0.8rem 6rem;
		font-size: clamp(1rem, 5.47vw, 2.625rem);
	}
}

.interview__list {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 50px;
}

.interview__item {

	padding: 2rem 1.5rem 3rem;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}

.interview-card{
display: flex;
  flex-direction: column;
  height: 100%;
}

.interview-card__category {
	display: inline-block;
	font-size: 1.25rem;
	color: #1A3987;
	border: 1px solid #1A3987;
	border-radius: 100vmax;
	padding-inline: 1.25rem;
	margin-bottom: 1rem;
}

.interview-card__title {
	font-size: 1.75rem;
	font-weight: 400 !important;
	color: #1A3987;
	display: flex;
	align-items: center;
	gap: 1em;
	margin-bottom: 2.5rem;
	

	&::before {
		content: "";
		width: 7px;
		height: 97px;
		background-image: url("../img/common/gd-icon-l.png");
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center;
		flex-shrink: 0;
	}
}

.interview-card__program {
	margin-bottom: 2.5rem;
}

.interview-card__program-title {
	font-size: 1.5rem;
	line-height: 1;
	color: #1A3987;
	margin-bottom: 0.5rem;
}

.interview-card__tags {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	gap: 10px 25px;
	margin-bottom: 1rem;
}

.interview-card__tag {
	font-size: 1.25rem;
	line-height: 1;
	color: #898989;

	&::before {
		content: "#";
	}
}

.interview-card__year {
	font-size: 1.5rem;
	line-height: 1;
	color: #1A3987;
	margin-bottom: 2.5rem;
}

.interview-card__image {
	margin-bottom: 3rem;

	img {
		width: 100%;
		height: auto;
	}
}

.interview-card__actions{
	 margin-top: auto;
	padding-top: 1rem;
}

.c-image-button {
	background-image: url("../img/top/grada_bg.png");
	background-size: cover;
	background-position: 75% 75%;
	background-repeat: no-repeat;
	border-radius: 100vmax;
	min-width: 19.625rem;
	width: fit-content;
	min-height: 4.25rem;
	color: #fff;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	margin-inline: auto;
	transition: background-color 0.3s;

	svg {
		position: absolute;
		right: 40px;
		width: 2rem;
		height: 2rem;
	}

	&:hover {
		opacity: 1;
		background-image: none; /* 画像を消す */
		background-color: #1A3987; /* 好きな色 */
	}
}

.c-image-button__text--large {
	font-size: 1.5rem;
}

@media only screen and (max-width: 1024px) {
	.interview__list {

		grid-template-columns: repeat(1, minmax(0, 1fr));
		gap: 20px;
	}
}

@media only screen and (max-width: 768px) {
	.interview__item {
		padding: 2rem 1rem 3rem;
	}

	.interview-card__category {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
		padding-inline: 1rem;
	}

	.interview-card__title {
		font-size: clamp(1.25rem, 2.86vw, 2rem);
		margin-bottom: 2rem;

		&::before {
			height: 64px;
		}
	}

	.interview-card__program {
		margin-bottom: 2rem;
	}

	.interview-card__program-title {
		font-size: clamp(1rem, 1.95vw, 1.5rem);
	}

	.interview-card__tags {
		gap: 10px;
	}

	.interview-card__tag {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
	}

	.interview-card__year {
		font-size: clamp(1rem, 1.95vw, 1.5rem);
		margin-bottom: 2rem;
	}

	.interview-card__image {
		margin-bottom: 1rem;
	}

	.interview-section .c-image-button {
		width: stretch;
		min-width: initial;

		svg {
			right: 10px;
			width: 1rem;
			height: 1rem;
		}
	}

	.interview-section .c-image-button__text--large {
		font-size: clamp(1rem, 3.91vw, 1.75rem);
	}
}